Not able to see or load models in rasa x

Hi everyone!

anyone know how to solve this ? 2022-01-24 13:25:31 ERROR sanic.root - Exception occurred while handling uri: 'http://localhost:5002/api/projects/default/models/tags/production?token=bd5a62473b96935782101b240dfd546b

@naveenjr hello and welcome to the forum!

Can you please share the rasa --version?

@naveenjr can you please create the environment of python 3.7 or 3.8 only if you are using rasa X ?

@naveenjr what is your method of installation ?

when I changed the python version.error is like this

########################### (python37) C:\Users\navee\OneDrive\Desktop\chatbot\python37>rasa x Starting Rasa X in local mode… :rocket: 2022-01-25 19:46:00 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. 2022-01-25 19:46:02 ERROR concurrent.futures - exception calling callback for <Future at 0x25079776948 state=finished raised gaierror> Traceback (most recent call last): File “C:\anaconda\envs\python37\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “C:\anaconda\envs\python37\lib\socket.py”, line 752, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “C:\anaconda\envs\python37\lib\concurrent\futures_base.py”, line 324, in _invoke_callbacks callback(self) File “C:\anaconda\envs\python37\lib\asyncio\futures.py”, line 365, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\anaconda\envs\python37\lib\asyncio\base_events.py”, line 736, in call_soon_threadsafe self._check_closed() File “C:\anaconda\envs\python37\lib\asyncio\base_events.py”, line 479, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2022-01-25 19:46:02 ERROR concurrent.futures - exception calling callback for <Future at 0x25079776c48 state=finished returned list> Traceback (most recent call last): File “C:\anaconda\envs\python37\lib\concurrent\futures_base.py”, line 324, in _invoke_callbacks callback(self) File “C:\anaconda\envs\python37\lib\asyncio\futures.py”, line 365, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\anaconda\envs\python37\lib\asyncio\base_events.py”, line 736, in call_soon_threadsafe self._check_closed() File “C:\anaconda\envs\python37\lib\asyncio\base_events.py”, line 479, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed Traceback (most recent call last): File “C:\anaconda\envs\python37\lib\site-packages\rasa\cli\x.py”, line 502, in run_locally domain_path=domain_path, File “C:\anaconda\envs\python37\lib\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “C:\anaconda\envs\python37\lib\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “C:\anaconda\envs\python37\lib\asyncio\base_events.py”, line 587, in run_until_complete return future.result() File “C:\anaconda\envs\python37\lib\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models await model_service.discover_models() File “C:\anaconda\envs\python37\lib\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “C:\anaconda\envs\python37\lib\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “C:\anaconda\envs\python37\lib\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “C:\anaconda\envs\python37\lib\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “C:\anaconda\envs\python37\lib\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version info = await stack_service.version() File “C:\anaconda\envs\python37\lib\site-packages\rasax\community\services\stack_service.py”, line 115, in version timeout=timeout_in_seconds, File “C:\anaconda\envs\python37\lib\site-packages\aiohttp\client.py”, line 619, in _request break File “C:\anaconda\envs\python37\lib\site-packages\aiohttp\helpers.py”, line 656, in exit raise asyncio.TimeoutError from None concurrent.futures._base.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/. ########################################

below commands are used for installation …may I know which is a stable version of Rasa X? rasa shell is working only issue is there in rasa x. commands used ############################# pip install rasa==2.8.14 pip install rasa-sdk==2.8.3 pip install rasa-x==0.42.6 --extra-index-url Simple Index --use-deprecated=legacy-resolver

@naveenjr Its 0.39.3 Getting error while running rasa x locally - #4 by nik202

thank you very much

@naveenjr no worries.